/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb;

import java.lang.reflect.Method;
import javax.ejb.EJBException;
import javax.ejb.EJBHome;
import javax.ejb.Handle;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class EJBHomeMethod {
    public static final Method GetEJBMetaData;
    public static final Method GetHomeHandle;
    public static final Method RemoveByHandle;
    public static final Method RemoveByPrimaryKey;

    static {
        try {
            Class ejbHomeClass = EJBHome.class;
            GetEJBMetaData = ejbHomeClass.getMethod("getEJBMetaData", new Class[0]);
            GetHomeHandle = ejbHomeClass.getMethod("getHomeHandle", null);
            RemoveByHandle = ejbHomeClass.getMethod("remove", new Class[]{Handle.class});
            RemoveByPrimaryKey = ejbHomeClass.getMethod("remove", new Class[]{Object.class});
        }
        catch(Exception e) {
            e.printStackTrace();
            throw new EJBException(e);
        }
    };

    public static void main(String[] args) {

    }
}
